## GtkFontChooserWidget GtkFontChooserWidget — A widget for selecting fonts |

## Functions

GtkWidget * | gtk_font_chooser_widget_new ()

## Properties

GAction * | tweak-action | Read

## Types and Values

struct | GtkFontChooserWidget
struct | GtkFontChooserWidgetClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkFontChooserWidget

## Implemented Interfaces

GtkFontChooserWidget implements AtkImplementorIface, GtkBuildable, GtkOrientable and GtkFontChooser.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkFontChooserWidget widget lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the GtkFontChooserDialog widget to provide a dialog box for selecting fonts.

To set the font which is initially selected, use `gtk_font_chooser_set_font()` or `gtk_font_chooser_set_font_desc()`.

To get the selected font use `gtk_font_chooser_get_font()` or `gtk_font_chooser_get_font_desc()`.

To change the text which is shown in the preview area, use `gtk_font_chooser_set_preview_text()`.

### CSS nodes

GtkFontChooserWidget has a single CSS node with name fontchooser.

## Functions

### gtk_font_chooser_widget_new ()

    GtkWidget *
    gtk_font_chooser_widget_new (void);

Creates a new GtkFontChooserWidget.

#### Returns

a new GtkFontChooserWidget

Since: 3.2

## Property Details

### The `“tweak-action”` property

      “tweak-action”             GAction *

A toggle action that can be used to switch to the tweak page of the font chooser widget, which lets the user tweak the OpenType features and variation axes of the selected font.

The action will be enabled or disabled depending on whether the selected font has any features or axes.

Owner: GtkFontChooserWidget

Flags: Read

## See Also

GtkFontChooserDialog